# Generated by Django 4.0.7 on 2022-08-11 16:38

import wagtail.blocks
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0095_alter_districtpersonpage_options_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="districtelectioncampaignpage",
            name="show_program_points_inline",
            field=models.BooleanField(
                default=False,
                help_text="Hodí se v případě spousty krátkých bodů programu, z nichž si většina nezaslouží vlastní stránku.",
                verbose_name="Zobrazit obsah celého programu na jedné stránce",
            ),
        ),
        migrations.AlterField(
            model_name="districtinteractiveprogrampage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "interactive_program_block",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "name",
                                    wagtail.blocks.CharBlock(
                                        label="Název části programu", required=True
                                    ),
                                ),
                                (
                                    "heading",
                                    wagtail.blocks.CharBlock(
                                        label="Nadpis", required=True
                                    ),
                                ),
                                (
                                    "description",
                                    wagtail.blocks.RichTextBlock(
                                        blank=True,
                                        label="Krátký popis, BEZ BODŮ",
                                        required=False,
                                    ),
                                ),
                                (
                                    "icon",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("verejne-sluzby", "Veřejné služby"),
                                            ("zdravotni-pece", "Zdravotní péče"),
                                            ("sport", "Sport"),
                                            ("sport-plavec", "Sport - plavec"),
                                            ("socialni-politika", "Sociální politika"),
                                            ("aktivni-verejnost", "Aktivní veřejnost"),
                                            ("priroda", "Příroda"),
                                            ("vzdelavani", "Vzdělávání"),
                                            ("kultura", "Kultura"),
                                            ("otevrena-radnice", "Otevřená radnice"),
                                            ("cestovni-ruch", "Cestovní ruch"),
                                            ("doprava", "Doprava"),
                                            ("bydleni", "Bydlení"),
                                        ],
                                        label="Ikona",
                                    ),
                                ),
                                (
                                    "program_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "content",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Obsah", required=True
                                                    ),
                                                )
                                            ]
                                        ),
                                        label="Seznam bodů",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                use_json_field=None,
                verbose_name="Části programu",
            ),
        ),
    ]
